summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-emulation/winetricks')
-rw-r--r--app-emulation/winetricks/Manifest1
-rw-r--r--app-emulation/winetricks/winetricks-20160425.ebuild85
2 files changed, 86 insertions, 0 deletions
diff --git a/app-emulation/winetricks/Manifest b/app-emulation/winetricks/Manifest
index 252c278064d..81d26570d14 100644
--- a/app-emulation/winetricks/Manifest
+++ b/app-emulation/winetricks/Manifest
@@ -1,2 +1,3 @@
DIST winetricks-20160329.tar.gz 170236 SHA256 a2a6f93e5242c22dd284710d26d6c98169eebcd57e5db71dae4c8e4fbad34c39 SHA512 e128a8ec1422c2864ef8919f26e1218ea1b663a5ebac789669b1451616213e406f474ed29f160bdcbfa5357475d43ffc9ee6d4587548ca10f23376759150812e WHIRLPOOL bf1abe3cf8d4f10c7f28112f583d825f70bfc3b4a77386b7e463e73a74713067f77a8f30714d476b464e8d8a8ed1f70d4b203a75f34904821c7bfa75860a557b
+DIST winetricks-20160425.tar.gz 170817 SHA256 0ddd2d896ab3803057f0eeec3afd6fd2f1b8ebb21e4ec0647c66e3cad0da1d0e SHA512 20279a49088ae8f30447d940432c026933b02438f0872fd736b1015ce70150c9300273eaa2000e42389e1dcdc9807f52ee8ddfe2d0a1a0bf9bb2e62acbda19b9 WHIRLPOOL 7d8b9e0dcb1e4532678790aeb77c6b14147f60eef1560efe05b75b14e87eb85954c810920be2a058fd5f18451fb419f706f8ff92bf8cc952c58b360f59785ca6
DIST winetricks-gentoo-2012.11.24.tar.bz2 6398 SHA256 dded8c294cc5c2e71e4a5d1531ab165178cf3d2d1d890d0656368c2e499bfeb9 SHA512 59c93b73f3a7b2d11aefcde2ff66659ff1de21ad4b5f232f4b60572f3a48b15a6c49f369b1696862bf1b33fde190bf5598945e9536fb41ddec42d8def4d2be2a WHIRLPOOL 268da9e06712a678fbbcfff8eac1fca364b5e46f0a9c48a591eb88f03260b1a55f203eb2908bfe1f0a534b77c866127ff6f7049b0e43fe8abeaaa26fe55de75b
diff --git a/app-emulation/winetricks/winetricks-20160425.ebuild b/app-emulation/winetricks/winetricks-20160425.ebuild
new file mode 100644
index 00000000000..b8aef92710f
--- /dev/null
+++ b/app-emulation/winetricks/winetricks-20160425.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit gnome2-utils eutils
+
+if [[ ${PV} == "99999999" ]] ; then
+ EGIT_REPO_URI="git://github.com/Winetricks/${PN}.git"
+ inherit git-r3
+ SRC_URI=""
+else
+ SRC_URI="https://github.com/Winetricks/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+wtg=winetricks-gentoo-2012.11.24
+
+SRC_URI="${SRC_URI}
+ gtk? ( https://dev.gentoo.org/~tetromino/distfiles/wine/${wtg}.tar.bz2 )
+ kde? ( https://dev.gentoo.org/~tetromino/distfiles/wine/${wtg}.tar.bz2 )"
+
+DESCRIPTION="Easy way to install DLLs needed to work around problems in Wine"
+HOMEPAGE="http://winetricks.org http://wiki.winehq.org/winetricks"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="gtk kde rar"
+
+DEPEND=""
+RDEPEND="app-arch/cabextract
+ app-arch/p7zip
+ app-arch/unzip
+ app-emulation/wine
+ net-misc/wget
+ x11-misc/xdg-utils
+ gtk? ( gnome-extra/zenity )
+ kde? ( kde-apps/kdialog )
+ rar? ( app-arch/unrar )"
+
+# Uses a non-standard "Wine" category, which is provided by app-emulation/wine; #451552
+QA_DESKTOP_FILE="usr/share/applications/winetricks.desktop"
+
+# Tests require network access and run Wine, which is unreliable from a portage environment.
+RESTRICT="test"
+
+src_unpack() {
+ if [[ ${PV} == "99999999" ]] ; then
+ git-r3_src_unpack
+ if use gtk || use kde; then
+ unpack ${wtg}.tar.bz2
+ fi
+ else
+ default
+ fi
+}
+
+src_install() {
+ default
+ if use gtk || use kde; then
+ cd "${WORKDIR}/${wtg}" || die
+ domenu winetricks.desktop
+ insinto /usr/share/icons/hicolor/scalable/apps
+ doins wine-winetricks.svg
+ fi
+}
+
+pkg_preinst() {
+ if use gtk || use kde; then
+ gnome2_icon_savelist
+ fi
+}
+
+pkg_postinst() {
+ if use gtk || use kde; then
+ gnome2_icon_cache_update
+ fi
+}
+
+pkg_postrm() {
+ if use gtk || use kde; then
+ gnome2_icon_cache_update
+ fi
+}